#define DOCTEST_CONFIG_NO_MULTITHREADING
#define DOCTEST_CONFIG_IMPLEMENT_WITH_MAIN
#include "doctest.h"
#include "histogram_internal.h"

TEST_CASE("distinct positive numbers") {
    double min = 0;
    double max = 0;
    std::vector<double>A{1,2,3,4};
    CHECK(A.size() !=0 );
    CHECK(A.size() !=1 );
    find_minmax(A, min, max);
    CHECK(min == 1);
    CHECK(max == 4);
    CHECK(min!=max);
}
